## rawtherapee 3.0~a1+hg101.3ab930d2d140~dfsg1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set (CMAKE_BUILD_TYPE Debug CACHE STRING "One of: None Debug Release RelWithDebInfo MinSizeRel.")

if (APPLE)
#    SET (CMAKE_OSX_ARCHITECTURES "i386;x86_64;" )
#    SET (CMAKE_TRY_COMPILE_OSX_ARCHITECTURES "i386;x86_64;" )
    SET (CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.5.sdk")
    SET (CMAKE_OSX_DEPLOYMENT_TARGET "10.5")
endif (APPLE)

option (BUILD_SHARED "Build rawtherapee with shared libraries" OFF)
option (WITH_RAWZOR "Build with Rawzor support" OFF)

# set install directories
if (NOT DEFINED DATADIR)
    if (WIN32 OR APPLE)
        set (DATADIR ${CMAKE_CURRENT_SOURCE_DIR}/release)
    else (WIN32 OR APPLE)
        set (DATADIR ${CMAKE_INSTALL_PREFIX}/share/rawtherapee)
    endif (WIN32 OR APPLE)
endif (NOT DEFINED DATADIR)

if (NOT DEFINED BINDIR)
    if (WIN32 OR APPLE)
        set (BINDIR  ${CMAKE_CURRENT_SOURCE_DIR}/release)
    else (WIN32 OR APPLE)
        set (BINDIR  ${CMAKE_INSTALL_PREFIX}/bin)
    endif (WIN32 OR APPLE)
endif (NOT DEFINED BINDIR)

if (NOT DEFINED LIBDIR)
    if (WIN32 OR APPLE)
        set (LIBDIR ${CMAKE_CURRENT_SOURCE_DIR}/release)
    else (WIN32 OR APPLE)
        set (LIBDIR ${CMAKE_INSTALL_PREFIX}/lib)
    endif (WIN32 OR APPLE)
endif (NOT DEFINED LIBDIR)

# check for libraries
find_package(PkgConfig)
pkg_check_modules (GTK     REQUIRED gtk+-2.0>=2.12)
pkg_check_modules (GLIB2   REQUIRED glib-2.0>=2.16)
pkg_check_modules (GLIBMM  REQUIRED glibmm-2.4>=2.16)
pkg_check_modules (GTKMM   REQUIRED gtkmm-2.4>=2.12)
pkg_check_modules (GIO     REQUIRED gio-2.0>=2.16)
pkg_check_modules (GIOMM   REQUIRED giomm-2.4>=2.12)
pkg_check_modules (GTHREAD REQUIRED gthread-2.0>=2.16)
pkg_check_modules (GOBJECT REQUIRED gobject-2.0>=2.16)
pkg_check_modules (SIGC    REQUIRED sigc++-2.0)
# NOTE: dependencies should be handled by pkg_check_modules and FIND_PACKAGE
# on windows too but I don't want to break current build chain
if (WIN32)
    set (EXTRA_LIBDIR "${CMAKE_CURRENT_SOURCE_DIR}/lib")
    set (EXTRA_INCDIR "${CMAKE_CURRENT_SOURCE_DIR}/winclude")
    set (EXTRA_LIB "ws2_32")
    set (IPTCDATA_LIBRARIES iptcdata)
    set (LCMS_LIBRARIES liblcms.a)
    set (JPEG_LIBRARIES libjpeg.a)
    set (PNG_LIBRARIES libpng.a)
    set (TIFF_LIBRARIES libtiff.a)
    set (ZLIB_LIBRARIES libz.a)
else (WIN32)
    pkg_check_modules (IPTCDATA REQUIRED libiptcdata)
    pkg_check_modules (LCMS    REQUIRED lcms)
    find_package (JPEG REQUIRED)
    find_package (PNG REQUIRED)
    find_package (TIFF REQUIRED)
    find_package (ZLIB REQUIRED)
endif (WIN32)

# link rawzor
if (WITH_RAWZOR)
    if (WIN32)
        set (EXTRA_INCDIR ${EXTRA_INCDIR} "${CMAKE_CURRENT_SOURCE_DIR}/rawzor_win")
        set (EXTRA_LIBDIR ${EXTRA_LIBDIR} "${CMAKE_CURRENT_SOURCE_DIR}/rawzor_win")
        set (EXTRA_LIB ${EXTRA_LIB} "${CMAKE_CURRENT_SOURCE_DIR}/rawzor_win/rwz_sdk_s.a")
        add_definitions (-DRAWZOR_SUPPORT)
        install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/rawzor_win/rwz_sdk_s.dll DESTINATION ${BINDIR}
            PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ)
    elseif (APPLE)
        set (EXTRA_INCDIR "${CMAKE_CURRENT_SOURCE_DIR}/rawzor_mac")
        set (EXTRA_LIBDIR "${CMAKE_CURRENT_SOURCE_DIR}/rawzor_mac")
        set (EXTRA_LIB "-lrwz_sdk_64")
        add_definitions (-DRAWZOR_SUPPORT)
        install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/rawzor_mac/librwz_sdk_64.dylib DESTINATION ${BINDIR}
            PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ RENAME rwz_sdk_64.dylib)
        if (BUILD_SHARED)
            install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/rawzor_mac/librwz_sdk_64.dylib DESTINATION ${LIBDIR}
                PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ RENAME rwz_sdk_64.dylib)
        endif (BUILD_SHARED)
    else (WIN32)
        if (CMAKE_SIZEOF_VOID_P EQUAL 4)
            set (EXTRA_INCDIR ${EXTRA_INCDIR} "${CMAKE_CURRENT_SOURCE_DIR}/rawzor_lin32")
            set (EXTRA_LIBDIR ${EXTRA_LIBDIR} "${CMAKE_CURRENT_SOURCE_DIR}/rawzor_lin32")
            set (EXTRA_LIB ${EXTRA_LIB} "-lrwz_sdk")
            add_definitions (-DRAWZOR_SUPPORT)
            install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/rawzor_lin32/librwz_sdk.so DESTINATION ${BINDIR}
                PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ RENAME rwz_sdk.so)
            if (BUILD_SHARED)
                install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/rawzor_lin32/librwz_sdk.so DESTINATION ${LIBDIR}
                    PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ RENAME rwz_sdk.so)
            endif (BUILD_SHARED)
        elseif (CMAKE_SIZEOF_VOID_P EQUAL 8)
            set (EXTRA_INCDIR ${EXTRA_INCDIR} "${CMAKE_CURRENT_SOURCE_DIR}/rawzor_lin64")
            set (EXTRA_LIBDIR ${EXTRA_LIBDIR} "${CMAKE_CURRENT_SOURCE_DIR}/rawzor_lin64")
            set (EXTRA_LIB ${EXTRA_LIB} "-lrwz_sdk")
            add_definitions (-DRAWZOR_SUPPORT)
            install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/rawzor_lin64/librwz_sdk.so DESTINATION ${BINDIR}
                PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ RENAME rwz_sdk.so)
            if (BUILD_SHARED)
                install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/rawzor_lin64/librwz_sdk.so DESTINATION ${LIBDIR}
                    PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ RENAME rwz_sdk.so)
            endif (BUILD_SHARED)
        endif (CMAKE_SIZEOF_VOID_P EQUAL 4)
    endif (WIN32)
endif (WITH_RAWZOR)

add_subdirectory (rtexif)
add_subdirectory (rtengine)
add_subdirectory (rtgui)
add_subdirectory (rtdata)

=== rtdata/CMakeLists.txt ===

file (GLOB IMAGEFILES "images/*.png")
file (GLOB PROFILEFILES "profiles/*.pp2")
file (GLOB LANGUAGEFILES "languages/*")
# THEMEDIR includes subfolders for image resources for some themes; doing the normal glob won't work.
set (THEMEDIR "themes")

if (WIN32)
    set(OPTIONSFILE "options/options.win")
elseif (APPLE)
    set(OPTIONSFILE "options/options.osx")
else (WIN32)
    set(OPTIONSFILE "options/options.lin")
endif (WIN32)


install (FILES ${IMAGEFILES} DESTINATION ${DATADIR}/images)
install (FILES ${LANGUAGEFILES} DESTINATION ${DATADIR}/languages)
install (FILES ${PROFILEFILES} DESTINATION ${DATADIR}/profiles)
install (DIRECTORY ${THEMEDIR} DESTINATION ${DATADIR})
install (FILES ${OPTIONSFILE} DESTINATION ${DATADIR} PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ RENAME options)

=== rtengine/CMakeLists.txt ===

include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../rtexif
    ${EXTRA_INCDIR} ${GTHREAD_INCLUDE_DIRS} ${GOBJECT_INCLUDE_DIRS} ${GLIB2_INCLUDE_DIRS}
    ${GLIBMM_INCLUDE_DIRS} ${IPTCDATA_INCLUDE_DIRS} ${LCMS_INCLUDE_DIRS})
link_directories (${CMAKE_CURRENT_SOURCE_DIR}/../rtexif ${EXTRA_LIBDIR} ${GTHREAD_LIBRARY_DIRS}
    ${GOBJECT_LIBRARY_DIRS} ${GLIB2_LIBRARY_DIRS} ${GLIBMM_LIBRARY_DIRS}
    ${IPTCDATA_LIBRARY_DIRS} ${LCMS_LIBRARY_DIRS})

set (RTENGINESOURCEFILES colortemp.cc curves.cc dcraw.cc gauss.cc iccstore.cc
    image8.cc image16.cc imagedata.cc imageio.cc improcfun.cc init.cc dcrop.cc
    loadinitial.cc procparams.cc rawimagesource.cc shmap.cc simpleprocess.cc refreshmap.cc
    stdimagesource.cc myfile.cc iccjpeg.c hlmultipliers.cc improccoordinator.cc
    processingjob.cc rtthumbnail.cc utils.cc bilateral2.cc)

add_library (rtengine ${RTENGINESOURCEFILES})
#It may be nice to store library version too
IF (BUILD_SHARED_LIBS)
    install (TARGETS rtengine DESTINATION ${LIBDIR})
ENDIF (BUILD_SHARED_LIBS)

set_target_properties (rtengine PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} -ffast-math -funroll-loops")

target_link_libraries (rtengine rtexif ${EXTRA_LIB} ${GOBJECT_LIBRARIES} ${GTHREAD_LIBRARIES}
    ${GLIB2_LIBRARIES} ${GLIBMM_LIBRARIES} ${LCMS_LIBRARIES} ${IPTCDATA_LIBRARIES}
    ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${TIFF_LIBRARIES} ${ZLIB_LIBRARIES})

=== rtexif/CMakeLists.txt ===
include_directories (.)
add_library (rtexif rtexif.cc stdattribs.cc nikonattribs.cc canonattribs.cc
    pentaxattribs.cc fujiattribs.cc sonyminoltaattribs.cc olympusattribs.cc)

IF (WIN32)
    set_target_properties (rtexif PROPERTIES COMPILE_FLAGS " -ffast-math -fexpensive-optimizations")
ELSE (WIN32)
    set_target_properties (rtexif PROPERTIES COMPILE_FLAGS " -ffast-math -fexpensive-optimizations -fPIC")
ENDIF (WIN32)

IF (BUILD_SHARED_LIBS)
    INSTALL(TARGETS rtexif DESTINATION ${LIBDIR})
ENDIF (BUILD_SHARED_LIBS)

=== rtgui/CMakeLists.txt ===

set (BASESOURCEFILES
    batchtoolpanelcoord.cc paramsedited.cc cropwindow.cc previewhandler.cc previewwindow.cc navigator.cc indclippedpanel.cc filterpanel.cc
    cursormanager.cc rtwindow.cc renamedlg.cc recentbrowser.cc placesbrowser.cc filepanel.cc editorpanel.cc batchqueuepanel.cc
    ilabel.cc thumbbrowserbase.cc adjuster.cc filebrowserentry.cc filebrowser.cc filethumbnailbuttonset.cc
    cachemanager.cc cacheimagedata.cc shcselector.cc
    clipboard.cc thumbimageupdater.cc bqentryupdater.cc
    coarsepanel.cc cacorrection.cc colorshift.cc hlrec.cc chmixer.cc
    colorboost.cc resize.cc icmpanel.cc crop.cc shadowshighlights.cc
    colordenoise.cc
    exifpanel.cc
    sharpening.cc
    whitebalance.cc   vignetting.cc rotate.cc distortion.cc
    crophandler.cc curveeditor.cc dirbrowser.cc
    filecatalog.cc
    histogrampanel.cc history.cc  imagearea.cc
    imageareapanel.cc iptcpanel.cc lcurve.cc lumadenoise.cc main.cc
    multilangmgr.cc mycurve.cc options.cc
    preferences.cc profilepanel.cc safegtk.cc saveasdlg.cc
    saveformatpanel.cc splash.cc
    thumbnail.cc tonecurve.cc toolbar.cc
    guiutils.cc zoompanel.cc toolpanelcoord.cc
    thumbbrowserentrybase.cc batchqueueentry.cc
    batchqueue.cc lwbutton.cc lwbuttonset.cc
    batchqueuebuttonset.cc browserfilter.cc exiffiltersettings.cc
    profilestore.cc partialpastedlg.cc)

if (WIN32)
    set (EXTRA_SRC windirmonitor.cc myicon.o)
    include_directories ( ../rtengine ${CMAKE_CURRENT_BINARY_DIR} . ../rtexif ${EXTRA_INCDIR} ${GLIB2_INCLUDE_DIRS} ${GLIBMM_INCLUDE_DIRS}
        ${GTK_INCLUDE_DIRS} ${GTKMM_INCLUDE_DIRS} ${GIO_INCLUDE_DIRS} ${GIOMM_INCLUDE_DIRS})
    link_directories (. ../rtexif ${EXTRA_LIBDIR} ${GLIB2_LIBRARY_DIRS} ${GLIBMM_LIBRARY_DIRS}
        ${GTK_LIBRARY_DIRS} ${GTKMM_LIBRARY_DIRS} ${GIO_LIBRARY_DIRS} ${GIOMM_LIBRARY_DIRS})
    #set_target_properties (rth PROPERTIES LINK_FLAGS "-mwindows")
else (WIN32)
    include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../rtengine ${CMAKE_CURRENT_BINARY_DIR} . ${CMAKE_CURRENT_SOURCE_DIR}/../rtexif ${EXTRA_INCDIR} ${GLIB2_INCLUDE_DIRS} ${GLIBMM_INCLUDE_DIRS}
        ${GTK_INCLUDE_DIRS} ${GTKMM_INCLUDE_DIRS} ${GIO_INCLUDE_DIRS} ${GIOMM_INCLUDE_DIRS} ${IPTCDATA_INCLUDE_DIRS} ${LCMS_INCLUDE_DIRS} ${GTHREAD_INCLUDE_DIRS} ${GOBJECT_INCLUDE_DIRS} )
    link_directories (${EXTRA_LIBDIR} ${GLIB2_LIBRARY_DIRS} ${GLIBMM_LIBRARY_DIRS}
        ${GTK_LIBRARY_DIRS} ${GTKMM_LIBRARY_DIRS} ${GIO_LIBRARY_DIRS} ${GIOMM_LIBRARY_DIRS} ${IPTCDATA_LIBRARY_DIRS} ${LCMS_LIBRARY_DIRS} ${GTHREAD_LIBRARY_DIRS} ${GOBJECT_LIBRARY_DIRS})
    # create config.h which defines where data are stored
    configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
endif (WIN32)

add_executable (rth ${EXTRA_SRC} ${BASESOURCEFILES})

set_target_properties (rth PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS}" OUTPUT_NAME rt)
#target_link_libraries (rth rtengine ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${ZLIB_LIBRARIES} ${TIFF_LIBRARIES} ${EXTRA_LIB} ${GOBJECT_LIBRARIES} ${GTHREAD_LIBRARIES}
#   ${GLIB2_LIBRARIES} ${GLIBMM_LIBRARIES} ${GTK_LIBRARIES} ${GTKMM_LIBRARIES} ${GIO_LIBRARIES} ${GIOMM_LIBRARIES} ${LCMS_LIBRARIES} ${IPTCDATA_LIBRARIES})
target_link_libraries (rth rtengine ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${ZLIB_LIBRARIES} ${TIFF_LIBRARIES} ${GOBJECT_LIBRARIES} ${GTHREAD_LIBRARIES}
   ${GLIB2_LIBRARIES} ${GLIBMM_LIBRARIES} ${GTK_LIBRARIES} ${GTKMM_LIBRARIES} ${GIO_LIBRARIES} ${GIOMM_LIBRARIES} ${LCMS_LIBRARIES} ${IPTCDATA_LIBRARIES})
install (TARGETS rth DESTINATION ${BINDIR})

=== debian/changelog ===
rawtherapee (3.0~a1+hg101.3ab930d2d140~dfsg1-1) unstable; urgency=low

  * Initial release (closes: #552000)

 -- Philip Rinn <rinni@gmx.net>  Wed,  26 May 2010 23:40:04 +0100

=== debian/control ===
Source: rawtherapee
Section: graphics
Priority: optional
Maintainer: Philip Rinn <rinni@gmx.net>
Build-Depends: debhelper (>= 7.3.7), cmake (>= 2.6), imagemagick,
 libgtkmm-2.4-dev (>=2.14), libgtk2.0-dev (>=2.12), libtiff4-dev,
 liblcms1-dev, libiptcdata0-dev, libpng12-dev, libjpeg-dev, mercurial
Standards-Version: 3.8.4
Homepage: http://www.rawtherapee.com
Vcs-Git: git://github.com/rinni/RawTherapee-debian.git
Vcs-Browser: http://github.com/rinni/RawTherapee-debian

Package: rawtherapee
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: A free RAW converter and digital photo processing software
 RawTherapee is used to adjust some of the most often changed parameters when
 optimizing digital images. A normal user often just wants to adjust the white
 balance or brightness of a photo he took. Instead of using a big and expensive
 image editor you could use a small and fast tool like RawTherapee.
 More and more cameras also support RAW formats. RAW files usually offer higher
 color depth than JPGs. So the adjustments are done with the high color depth 
 and then afterwards converted to or saved as JPGs. RawTherapee supports JPG, 
 PNG and TIFF. All image processing is done in 16 bit/channel mode.
 Different to other RAW converters it can use EAHD as demosaicing algorithm.
 The raw loading engine of RawTherapee is based on dcraw.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	convert -geometry 32x32 rtdata/images/logoicon32.png $(CURDIR)/debian/rawtherapee/usr/share/pixmaps/rawtherapee.xpm

SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)\.*-.*/\1/p')
HG_REV :=  $(shell echo $(SRC_VERSION) | sed 's/.*+hg.*\.\(.*\)~.*/\1/')
.PHONY: get-orig-source
get-orig-source:
	rm -rf get-orig-source rawtherapee-$(SRC_VERSION).orig.tar.gz
	mkdir get-orig-source
	hg clone -r $(HG_REV) https://rawtherapee.googlecode.com/hg/ get-orig-source/rawtherapee-$(SRC_VERSION).orig
	
	# non-GPL compression library
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/rawzor_*
	# precompiled libaries for windows
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/lib
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/languagePack.nsi
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/rtinstaller.nsi
	# binary files in the source tree
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/rtgui/myicon.o
	# outdated documentation
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/doc
	# stuff we don't need
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/tools
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/winclude
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/rtdata/images/deltags.pp2
	# Mercurial files
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/.hg
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/.hgignore
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/.hgtags
	
	GZIP=-9 tar czf rawtherapee_$(SRC_VERSION).orig.tar.gz -C get-orig-source rawtherapee-$(SRC_VERSION).orig
	rm -rf get-orig-source

## rawtherapee 3.0~a1+hg193.38c23c24d316~dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 option (BUILD_SHARED "Build rawtherapee with shared libraries" OFF)
 option (WITH_RAWZOR "Build with Rawzor support" OFF)
+option (OPTION_OMP "Build with OpenMP support" ON)
 
 # set install directories
 if (NOT DEFINED DATADIR)
@@ -116,6 +117,13 @@
     endif (WIN32)
 endif (WITH_RAWZOR)
 
+if (OPTION_OMP)
+	find_package(OpenMP)
+	if (OPENMP_FOUND)
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
+	endif (OPENMP_FOUND)
+endif (OPTION_OMP)
+
 add_subdirectory (rtexif)
 add_subdirectory (rtengine)
 add_subdirectory (rtgui)

=== rtdata/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 file (GLOB IMAGEFILES "images/*.png")
-file (GLOB PROFILEFILES "profiles/*.pp2")
+file (GLOB PROFILEFILES "profiles/*.pp3")
 file (GLOB LANGUAGEFILES "languages/*")
 # THEMEDIR includes subfolders for image resources for some themes; doing the normal glob won't work.
 set (THEMEDIR "themes")

=== rtengine/CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,19 @@
 
 include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../rtexif
     ${EXTRA_INCDIR} ${GTHREAD_INCLUDE_DIRS} ${GOBJECT_INCLUDE_DIRS} ${GLIB2_INCLUDE_DIRS}
-    ${GLIBMM_INCLUDE_DIRS} ${IPTCDATA_INCLUDE_DIRS} ${LCMS_INCLUDE_DIRS})
+    ${GLIBMM_INCLUDE_DIRS} ${IPTCDATA_INCLUDE_DIRS} ${LCMS_INCLUDE_DIRS}
+	${CMAKE_CURRENT_SOURCE_DIR}/../rtgui ${GTKMM_INCLUDE_DIRS})
 link_directories (${CMAKE_CURRENT_SOURCE_DIR}/../rtexif ${EXTRA_LIBDIR} ${GTHREAD_LIBRARY_DIRS}
     ${GOBJECT_LIBRARY_DIRS} ${GLIB2_LIBRARY_DIRS} ${GLIBMM_LIBRARY_DIRS}
     ${IPTCDATA_LIBRARY_DIRS} ${LCMS_LIBRARY_DIRS})
 
-set (RTENGINESOURCEFILES colortemp.cc curves.cc dcraw.cc gauss.cc iccstore.cc
+set (RTENGINESOURCEFILES colortemp.cc curves.cc dcraw.cc iccstore.cc
     image8.cc image16.cc imagedata.cc imageio.cc improcfun.cc init.cc dcrop.cc
     loadinitial.cc procparams.cc rawimagesource.cc shmap.cc simpleprocess.cc refreshmap.cc
     stdimagesource.cc myfile.cc iccjpeg.c hlmultipliers.cc improccoordinator.cc
-    processingjob.cc rtthumbnail.cc utils.cc bilateral2.cc)
+    processingjob.cc rtthumbnail.cc utils.cc labimage.cc
+    iplab2rgb.cc ipsharpen.cc iptransform.cc ipresize.cc
+    wavelet_dec.cc ipequalizer.cc)
 
 add_library (rtengine ${RTENGINESOURCEFILES})
 #It may be nice to store library version too

=== rtgui/CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
     batchtoolpanelcoord.cc paramsedited.cc cropwindow.cc previewhandler.cc previewwindow.cc navigator.cc indclippedpanel.cc filterpanel.cc
     cursormanager.cc rtwindow.cc renamedlg.cc recentbrowser.cc placesbrowser.cc filepanel.cc editorpanel.cc batchqueuepanel.cc
     ilabel.cc thumbbrowserbase.cc adjuster.cc filebrowserentry.cc filebrowser.cc filethumbnailbuttonset.cc
-    cachemanager.cc cacheimagedata.cc shcselector.cc
-    clipboard.cc thumbimageupdater.cc bqentryupdater.cc
+    cachemanager.cc cacheimagedata.cc shcselector.cc perspective.cc
+    clipboard.cc thumbimageupdater.cc bqentryupdater.cc lensgeom.cc
     coarsepanel.cc cacorrection.cc colorshift.cc hlrec.cc chmixer.cc
     colorboost.cc resize.cc icmpanel.cc crop.cc shadowshighlights.cc
     colordenoise.cc
@@ -23,7 +23,8 @@
     thumbbrowserentrybase.cc batchqueueentry.cc
     batchqueue.cc lwbutton.cc lwbuttonset.cc
     batchqueuebuttonset.cc browserfilter.cc exiffiltersettings.cc
-    profilestore.cc partialpastedlg.cc)
+    profilestore.cc partialpastedlg.cc
+    equalizer.cc)
 
 if (WIN32)
     set (EXTRA_SRC windirmonitor.cc myicon.o)

=== debian/changelog ===
rawtherapee (3.0~a1+hg193.38c23c24d316~dfsg1-1) experimental; urgency=low

  * New upstream snapshot:
    - Update dcraw to 9.03
    - Add demosaic algorithm AMaZE
    - Add CA auto-correction
    - Add wavelet equalizer
    - Start to use OpenMP
    - fixes a lot of bugs
  * Refresh patches to apply cleanly.
  * Add debian/patches/04-move-cache.patch:
    - Move the cache directory automatically to the new location
  * debian/copyright: update copyright info.
  * debian/control: remove build dependency mercurial.
  * Bump debhelper compat from 7 to 8 (no changes necessary).
  * Bump Standards-Version to 3.9.1 (no changes necessary).

 -- Philip Rinn <rinni@gmx.net>  Sat,  21 Aug 2010 19:36:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: graphics
 Priority: optional
 Maintainer: Philip Rinn <rinni@gmx.net>
-Build-Depends: debhelper (>= 7.3.7), cmake (>= 2.6), imagemagick,
+Build-Depends: debhelper (>= 8.0.0), cmake (>= 2.6), imagemagick,
  libgtkmm-2.4-dev (>=2.14), libgtk2.0-dev (>=2.12), libtiff4-dev,
- liblcms1-dev, libiptcdata0-dev, libpng12-dev, libjpeg-dev, mercurial
-Standards-Version: 3.8.4
+ liblcms1-dev, libiptcdata0-dev, libpng12-dev, libjpeg-dev
+Standards-Version: 3.9.1
 Homepage: http://www.rawtherapee.com
 Vcs-Git: git://github.com/rinni/RawTherapee-debian.git
 Vcs-Browser: http://github.com/rinni/RawTherapee-debian

## rawtherapee 3.0.0~dfsg1

=== debian/changelog ===
rawtherapee (3.0.0~dfsg1-1) unstable; urgency=low

  * New upstream release (closes LP: #795161).
  * Remove debian/rawtherapee.desktop as it's shipped upstream
  * Remove debian/patches/01-change-name.patch:
    - applied upstream
  * Remove debian/patches/03-change-config-dir.patch:
    - merge with patch debian/patches/01-AboutThisBuild.patch
  * Update debian/patches/01-AboutThisBuild.patch to reflect upstream changes.
  * debian/copyright: update copyright info.
  * Bump Standards-Version to 3.9.2 (no changes necessary).
  
 -- Philip Rinn <rinni@gmx.net>  Sat,  16 Jul 2011 15:06:34 +0200

rawtherapee (3.0~a2+hg1075.9a478044c65c~dfsg1-1) unstable; urgency=low

  * New upstream snapshot:
    - Switch to branch 'branch_3.0'
    - Improve automatic white balance (closes: #588220)
    - Don't crash with some Sony RAW files (closes: #610727)
    - many other bugfixes (e.g. LP: #738429)
  * Refresh patches to apply cleanly.
  * Remove debian/patches/01-no-debug-build.patch:
    - No need for a patch. We can do this in debian/rules
  * Remove debian/patches/04-move-cache.patch:
    - It's accepted upstream
  * Add debian/patches/01-AboutThisBuild.patch:
    - Hard-code version as we don't ship the whole repository
  * debian/copyright: update copyright info.

 -- Philip Rinn <rinni@gmx.net>  Sun,  03 Apr 2011 09:37:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 8.0.0), cmake (>= 2.6), imagemagick,
  libgtkmm-2.4-dev (>=2.14), libgtk2.0-dev (>=2.12), libtiff4-dev,
  liblcms1-dev, libiptcdata0-dev, libpng12-dev, libjpeg-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.rawtherapee.com
 Vcs-Git: git://github.com/rinni/RawTherapee-debian.git
 Vcs-Browser: http://github.com/rinni/RawTherapee-debian
@@ -13,7 +13,7 @@
 Package: rawtherapee
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: A free RAW converter and digital photo processing software
+Description: Free RAW converter and digital photo processing software
  RawTherapee is used to adjust some of the most often changed parameters when
  optimizing digital images. A normal user often just wants to adjust the white
  balance or brightness of a photo he took. Instead of using a big and expensive
@@ -24,4 +24,3 @@
  PNG and TIFF. All image processing is done in 16 bit/channel mode.
  Different to other RAW converters it can use EAHD as demosaicing algorithm.
  The raw loading engine of RawTherapee is based on dcraw.
-

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DCREDITSDIR=/usr/share/doc/rawtherapee -DLICENCEDIR=/usr/share/doc/rawtherapee

override_dh_install:
	dh_install
	convert -geometry 32x32 rtdata/images/logoicon32.png $(CURDIR)/debian/rawtherapee/usr/share/pixmaps/rawtherapee.xpm
	rm $(CURDIR)/debian/rawtherapee/usr/share/doc/rawtherapee/LICENSE.txt
	rm $(CURDIR)/debian/rawtherapee/usr/bin/rtstart

SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)\.*-.*/\1/p')
HG_REV :=  $(shell echo $(SRC_VERSION) | sed 's/\(.*\)\.*~.*/\1/')
.PHONY: get-orig-source
get-orig-source:
	rm -rf get-orig-source rawtherapee-$(SRC_VERSION).orig.tar.gz
	mkdir get-orig-source
	hg clone https://rawtherapee.googlecode.com/hg/ get-orig-source/rawtherapee-$(SRC_VERSION).orig
	hg -R get-orig-source/rawtherapee-$(SRC_VERSION).orig checkout $(HG_REV)
	
	# non-GPL compression library
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/rawzor_*
	# precompiled libaries for windows
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/lib
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/languagePack.nsi
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/rtinstaller.nsi
	# outdated documentation
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/doc
	# stuff we don't need
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/tools
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/winclude
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/rtdata/images/deltags.pp2
	# unnecessary extra licence file
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/rtdata/languages/LICENSE
	# Mercurial files
	rm -r get-orig-source/rawtherapee-$(SRC_VERSION).orig/.hg
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/.hgignore
	rm get-orig-source/rawtherapee-$(SRC_VERSION).orig/.hgtags
	
	GZIP=-9 tar czf rawtherapee_$(SRC_VERSION).orig.tar.gz -C get-orig-source rawtherapee-$(SRC_VERSION).orig
	rm -rf get-orig-source

## rawtherapee 3.0.0%7edfsg1

=== CMakeLists.txt ===
if (WIN32)
  cmake_minimum_required(VERSION 2.8.4)
  cmake_policy(SET CMP0015 OLD)
else (WIN32)
  cmake_minimum_required(VERSION 2.6)
endif (WIN32)

# the default target is 'Debug'
if (CMAKE_BUILD_TYPE STREQUAL "")
  set (CMAKE_BUILD_TYPE Debug CACHE STRING "One of: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif ()
message(STATUS "CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}")

set (CACHE_NAME_SUFFIX "" CACHE STRING "RawTherapee's cache folder suffix (leave empty to use the default suffix, i.e. latesttag)")

# By default, we don't use specific processor target, so  PROC_TARGET_NUMBER is set to 0. If can specify other values to select specific
# processor targets, which list can be found in ProcessorTargets.cmake.
set (PROC_TARGET_NUMBER 0 CACHE STRING "Selected target processor from the list above (taken from ProcessorTargets.cmake)")

# The following line set special compilation flags for RTEngine, and will be added to CMAKE_CXX_FLAGS
# It were moved away from rtengine/CMakefiles.txt, because some users may want to remove -ffast_math :
# this flag speeds up the floating-point operations, but with a little bite less precisions. This default value
# gives the same result/behaviour as before.
set (RTENGINE_CXX_FLAGS "-ffast-math -funroll-loops" CACHE STRING "Special compilation flags for RTEngine")

#loading the processor targets list
include (ProcessorTargets.cmake)
set (PROC_LABEL "undefined" CACHE STRING "Target processor label, unused if PROC_TARGET_NUMBER = 0 or 2")
set (PROC_FLAGS "" CACHE STRING "Target processor related build/link flags")
if ((NOT(PROC_TARGET_NUMBER NOT EQUAL 0)) AND (NOT(PROC_TARGET_NUMBER EQUAL 2)))
	set (PROC_LABEL ${PROC_TARGET_${PROC_TARGET_NUMBER}_LABEL})
	set (PROC_FLAGS ${PROC_TARGET_${PROC_TARGET_NUMBER}_FLAGS})
endif ()

# if it exists, the PROC_FORCED_LABEL value is loaded in PROC_LABEL to override the one of ProcessorTargets
if (DEFINED PROC_FORCED_LABEL)
  set (PROC_LABEL ${PROC_FORCED_LABEL})
endif (DEFINED PROC_FORCED_LABEL)

# adding the proc flags to the build flags
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${PROC_FLAGS}")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${PROC_FLAGS}")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${PROC_FLAGS}")

if (APPLE)
#    SET (CMAKE_OSX_ARCHITECTURES "i386;x86_64;" )
#    SET (CMAKE_TRY_COMPILE_OSX_ARCHITECTURES "i386;x86_64;" )
    SET (CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.5.sdk")
    SET (CMAKE_OSX_DEPLOYMENT_TARGET "10.5")
endif (APPLE)

option (AUTOMATED_BUILD_SYSTEM "TRUE if built by an automate" OFF)

option (BUILD_SHARED "Build rawtherapee with shared libraries" OFF)
option (WITH_RAWZOR "Build with Rawzor support" OFF)
option (WITH_MYFILE_MMAP "Build using memory mapped file" ON)
option (OPTION_OMP "Build with OpenMP support" ON)

# set install directories
if (NOT DEFINED DATADIR)
    if (WIN32 OR APPLE)
        set (DATADIR ${CMAKE_CURRENT_SOURCE_DIR}/release)
    else (WIN32 OR APPLE)
        set (DATADIR ${CMAKE_INSTALL_PREFIX}/share/rawtherapee)
    endif (WIN32 OR APPLE)
endif (NOT DEFINED DATADIR)

if (NOT DEFINED BINDIR)
    if (WIN32 OR APPLE)
        set (BINDIR  ${CMAKE_CURRENT_SOURCE_DIR}/release)
    else (WIN32 OR APPLE)
        set (BINDIR  ${CMAKE_INSTALL_PREFIX}/bin)
    endif (WIN32 OR APPLE)
endif (NOT DEFINED BINDIR)

if (NOT DEFINED LIBDIR)
    if (WIN32 OR APPLE)
        set (LIBDIR ${CMAKE_CURRENT_SOURCE_DIR}/release)
    else (WIN32 OR APPLE)
        # Respect CMAKE_INSTALL_LIBDIR if set
        if (DEFINED CMAKE_INSTALL_LIBDIR)
            set (LIBDIR ${CMAKE_INSTALL_LIBDIR})
        else (DEFINED CMAKE_INSTALL_LIBDIR)
            set (LIBDIR ${CMAKE_INSTALL_PREFIX}/lib)
        endif (DEFINED CMAKE_INSTALL_LIBDIR)
    endif (WIN32 OR APPLE)
endif (NOT DEFINED LIBDIR)

if (NOT DEFINED DOCDIR)
    if (WIN32 OR APPLE)
        set (DOCDIR ${CMAKE_CURRENT_SOURCE_DIR}/release/doc)
    else (WIN32 OR APPLE)
        set (DOCDIR ${CMAKE_INSTALL_PREFIX}/share/doc)
    endif (WIN32 OR APPLE)
endif (NOT DEFINED DOCDIR)

if (NOT DEFINED CREDITSDIR)
    if (WIN32 OR APPLE)
        set (CREDITSDIR ${CMAKE_CURRENT_SOURCE_DIR}/release)
    else (WIN32 OR APPLE)
        set (CREDITSDIR ${CMAKE_INSTALL_PREFIX}/share/doc)
    endif (WIN32 OR APPLE)
endif (NOT DEFINED CREDITSDIR)

if (NOT DEFINED LICENCEDIR)
    if (WIN32 OR APPLE)
        set (LICENCEDIR ${CMAKE_CURRENT_SOURCE_DIR}/release)
    else (WIN32 OR APPLE)
        set (LICENCEDIR ${CMAKE_INSTALL_PREFIX}/share/doc)
    endif (WIN32 OR APPLE)
endif (NOT DEFINED LICENCEDIR)

if (NOT DEFINED DESKTOPDIR)
    if (UNIX)
        set (DESKTOPDIR ${CMAKE_INSTALL_PREFIX}/share/applications)
    endif (UNIX)
endif (NOT DEFINED DESKTOPDIR)

if (NOT DEFINED ICONSDIR)
    if (UNIX)
        set (ICONSDIR ${CMAKE_INSTALL_PREFIX}/share/icons)
    endif (UNIX)
endif (NOT DEFINED ICONSDIR)

# check for libraries
find_package(PkgConfig)
pkg_check_modules (GTK     REQUIRED gtk+-2.0>=2.12)
pkg_check_modules (GLIB2   REQUIRED glib-2.0>=2.16)
pkg_check_modules (GLIBMM  REQUIRED glibmm-2.4>=2.16)
pkg_check_modules (GTKMM   REQUIRED gtkmm-2.4>=2.12)
pkg_check_modules (GIO     REQUIRED gio-2.0>=2.16)
pkg_check_modules (GIOMM   REQUIRED giomm-2.4>=2.12)
pkg_check_modules (GTHREAD REQUIRED gthread-2.0>=2.16)
pkg_check_modules (GOBJECT REQUIRED gobject-2.0>=2.16)
pkg_check_modules (SIGC    REQUIRED sigc++-2.0)
# NOTE: dependencies should be handled by pkg_check_modules and FIND_PACKAGE
# on windows too but I don't want to break current build chain
if (WIN32)
    set (EXTRA_LIBDIR "${CMAKE_CURRENT_SOURCE_DIR}/lib")
    set (EXTRA_INCDIR "${CMAKE_CURRENT_SOURCE_DIR}/winclude")
    set (EXTRA_LIB "-lws2_32")
    set (IPTCDATA_LIBRARIES iptcdata)
    set (LCMS_LIBRARIES liblcms.a)
    set (JPEG_LIBRARIES libjpeg.a)
    set (PNG_LIBRARIES libpng.a)
    set (TIFF_LIBRARIES libtiff.a)
    set (ZLIB_LIBRARIES libz.a)

    add_definitions (-DWIN32)
    add_definitions (-D_WIN32)
    if (MINGW)
        add_definitions (-D__MINGW32__)
    endif (MINGW)
else (WIN32)
    pkg_check_modules (IPTCDATA REQUIRED libiptcdata)
    pkg_check_modules (LCMS REQUIRED lcms<=1.99)
    find_package (JPEG REQUIRED)
    find_package (PNG REQUIRED)
    find_package (TIFF REQUIRED)
    find_package (ZLIB REQUIRED)
endif (WIN32)

if (AUTOMATED_BUILD_SYSTEM)

	message(WARNING "Automated build system mode! You have to make sure that AboutThisBuild.txt and rtgui/version.h are up-to-date by building RT at least one time with AUTOMATED_BUILD_SYSTEM=OFF.")

  # Checking for the presence of AboutThisBuild.txt
  find_file(ABOUT_FILE AboutThisBuild.txt PATHS "${CMAKE_CURRENT_SOURCE_DIR}" NO_DEFAULT_PATH)
  if (ABOUT_FILE STREQUAL ABOUT_FILE-NOTFOUND)
	  message(FATAL_ERROR "AboutThisBuild.txt not found! You have to build RT at least one time with AUTOMATED_BUILD_SYSTEM=OFF to generate this file.")
  endif (ABOUT_FILE STREQUAL ABOUT_FILE-NOTFOUND)

  # Checking for the presence of version.h
  find_file(VERSION_FILE version.h PATHS "${CMAKE_CURRENT_SOURCE_DIR}/rtgui" NO_DEFAULT_PATH)
  if (VERSION_FILE STREQUAL VERSION_FILE-NOTFOUND)
	  message(FATAL_ERROR "rtgui/version.h not found! You have to build RT at least one time with AUTOMATED_BUILD_SYSTEM=OFF to generate this file.")
  endif (VERSION_FILE STREQUAL VERSION_FILE-NOTFOUND)

else (AUTOMATED_BUILD_SYSTEM)

  # set the bit number information of the platform
  if (CMAKE_SIZEOF_VOID_P EQUAL 4)
    set(PROC_BIT_DEPTH 32 bits)
  elseif (CMAKE_SIZEOF_VOID_P EQUAL 8)
    set(PROC_BIT_DEPTH 64 bits)
  endif (CMAKE_SIZEOF_VOID_P EQUAL 4)

  string (TOUPPER ${CMAKE_BUILD_TYPE} UPPER_CMAKE_BUILD_TYPE)

  #generating AboutThisBuild.txt
  if (WIN32)

    add_custom_target (AboutFile ALL
      COMMAND ${CMAKE_COMMAND}
              -DSRC_DIR:STRING=${CMAKE_CURRENT_SOURCE_DIR}
              -DCACHE_NAME_SUFFIX:STRING=${CACHE_NAME_SUFFIX}
              -DSYSTEM:STRING=Windows
              -DPROC_LABEL:STRING=\"${PROC_LABEL}\"
              -DPROC_BIT_DEPTH:STRING=\"${PROC_BIT_DEPTH}\"
              -DBUILD_TYPE:STRING=${CMAKE_BUILD_TYPE}
              -DGTKMM_VERSION:STRING=${GTKMM_VERSION}
              -DCXX_FLAGS:STRING=\"${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_${UPPER_CMAKE_BUILD_TYPE}}\"
              -DLFLAGS:STRING=\"${CMAKE_EXE_LINKER_FLAGS} ${CMAKE_EXE_LINKER_FLAGS_${UPPER_CMAKE_BUILD_TYPE}}\"
              -DOPTION_OMP:STRING=${OPTION_OMP}
              -DWITH_MYFILE_MMAP:STRING=${WITH_MYFILE_MMAP}
              -DWITH_RAWZOR:STRING=${WITH_RAWZOR}
              -P ${CMAKE_CURRENT_SOURCE_DIR}/About-Windows.cmake
      COMMENT "Creating the about file"
    )
    find_file(HG_CMD hg.exe HINTS ENV Path PATH_SUFFIXES ../)

  elseif (APPLE)
 
    add_custom_target (AboutFile ALL
      COMMAND ${CMAKE_COMMAND}
              -DSRC_DIR:STRING=${CMAKE_CURRENT_SOURCE_DIR}
              -DCACHE_NAME_SUFFIX:STRING=${CACHE_NAME_SUFFIX}
              -DSYSTEM:STRING=Apple
              -DPROC_LABEL:STRING=\"${PROC_LABEL}\"
              -DPROC_BIT_DEPTH:STRING=\"${PROC_BIT_DEPTH}\"
              -DBUILD_TYPE:STRING=${CMAKE_BUILD_TYPE}
              -DGTKMM_VERSION:STRING=${GTKMM_VERSION}
              -DCXX_FLAGS:STRING=${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_${UPPER_CMAKE_BUILD_TYPE}}
              -DLFLAGS:STRING=${CMAKE_EXE_LINKER_FLAGS} ${CMAKE_EXE_LINKER_FLAGS_${UPPER_CMAKE_BUILD_TYPE}}
              -DOPTION_OMP:STRING=${OPTION_OMP}
              -DWITH_MYFILE_MMAP:STRING=${WITH_MYFILE_MMAP}
              -DWITH_RAWZOR:STRING=${WITH_RAWZOR}
              -P ${CMAKE_CURRENT_SOURCE_DIR}/About-Apple.cmake
      COMMENT "Creating the about file"
    )
    find_file(HG_CMD hg PATHS "/opt/local/bin" "/usr/local/bin" "/usr/bin")
    find_file(HG_CMD hg)

  else (WIN32)
 
    add_custom_target (AboutFile ALL
      COMMAND ${CMAKE_COMMAND}
              -DSRC_DIR:STRING=${CMAKE_CURRENT_SOURCE_DIR}
              -DCACHE_NAME_SUFFIX:STRING=${CACHE_NAME_SUFFIX}
              -DSYSTEM:STRING=Linux
              -DPROC_LABEL:STRING=\"${PROC_LABEL}\"
              -DPROC_BIT_DEPTH:STRING=\"${PROC_BIT_DEPTH}\"
              -DBUILD_TYPE:STRING=${CMAKE_BUILD_TYPE}
              -DGTKMM_VERSION:STRING=${GTKMM_VERSION}
              -DCXX_FLAGS:STRING=${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_${UPPER_CMAKE_BUILD_TYPE}}
              -DLFLAGS:STRING=${CMAKE_EXE_LINKER_FLAGS} ${CMAKE_EXE_LINKER_FLAGS_${UPPER_CMAKE_BUILD_TYPE}}
              -DOPTION_OMP:STRING=${OPTION_OMP}
              -DWITH_MYFILE_MMAP:STRING=${WITH_MYFILE_MMAP}
              -DWITH_RAWZOR:STRING=${WITH_RAWZOR}
              -P ${CMAKE_CURRENT_SOURCE_DIR}/About-Linux.cmake
      COMMENT "Creating the about file"
    )
    find_file(HG_CMD hg)

  endif (WIN32)
 
  add_dependencies(AboutFile Debug Release MinSizeRel RelWithDebInfo)

  if (HG_CMD STREQUAL HG_CMD-NOTFOUND)
    message(FATAL_ERROR "hg command not found!")
  else (HG_CMD STREQUAL HG_CMD-NOTFOUND)
    message(STATUS "hg command found: ${HG_CMD}")
  endif (HG_CMD STREQUAL HG_CMD-NOTFOUND)

endif (AUTOMATED_BUILD_SYSTEM)

# link rawzor
if (WITH_RAWZOR)
    if (WIN32)
        set (EXTRA_INCDIR ${EXTRA_INCDIR} "${CMAKE_CURRENT_SOURCE_DIR}/rawzor_win")
        set (EXTRA_LIBDIR ${EXTRA_LIBDIR} "${CMAKE_CURRENT_SOURCE_DIR}/rawzor_win")
        set (EXTRA_LIB ${EXTRA_LIB} "${CMAKE_CURRENT_SOURCE_DIR}/rawzor_win/rwz_sdk_s.a")
        add_definitions (-DRAWZOR_SUPPORT)
        install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/rawzor_win/rwz_sdk_s.dll DESTINATION ${BINDIR}
            PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ)
    elseif (APPLE)
        set (EXTRA_INCDIR "${CMAKE_CURRENT_SOURCE_DIR}/rawzor_mac")
        set (EXTRA_LIBDIR "${CMAKE_CURRENT_SOURCE_DIR}/rawzor_mac")
        set (EXTRA_LIB "-lrwz_sdk_64")
        add_definitions (-DRAWZOR_SUPPORT)
        install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/rawzor_mac/librwz_sdk_64.dylib DESTINATION ${BINDIR}
            PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ RENAME rwz_sdk_64.dylib)
        if (BUILD_SHARED)

=== rtdata/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,16 @@
     set(OPTIONSFILE "options/options.lin")
 endif (WIN32)
 
+if (UNIX)
+    configure_file (${CMAKE_CURRENT_SOURCE_DIR}/icons/rawtherapee.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/rawtherapee.desktop)
+    install (FILES ${CMAKE_CURRENT_BINARY_DIR}/rawtherapee.desktop DESTINATION ${DESKTOPDIR})
+    install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/hi16-app-rawtherapee.png DESTINATION ${ICONSDIR}/hicolor/16x16/apps RENAME rawtherapee.png)
+    install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/hi24-app-rawtherapee.png DESTINATION ${ICONSDIR}/hicolor/24x24/apps RENAME rawtherapee.png)
+    install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/hi32-app-rawtherapee.png DESTINATION ${ICONSDIR}/hicolor/32x32/apps RENAME rawtherapee.png)
+    install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/hi48-app-rawtherapee.png DESTINATION ${ICONSDIR}/hicolor/48x48/apps RENAME rawtherapee.png)
+    install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/hi128-app-rawtherapee.png DESTINATION ${ICONSDIR}/hicolor/128x128/apps RENAME rawtherapee.png)
+    install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/hi256-app-rawtherapee.png DESTINATION ${ICONSDIR}/hicolor/256x256/apps RENAME rawtherapee.png)
+endif (UNIX)
 
 install (FILES ${IMAGEFILES} DESTINATION ${DATADIR}/images)
 install (FILES ${LANGUAGEFILES} DESTINATION ${DATADIR}/languages)

=== rtengine/CMakeLists.txt ===

include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../rtexif
    ${EXTRA_INCDIR} ${GTHREAD_INCLUDE_DIRS} ${GOBJECT_INCLUDE_DIRS} ${GLIB2_INCLUDE_DIRS}
    ${GLIBMM_INCLUDE_DIRS} ${IPTCDATA_INCLUDE_DIRS} ${LCMS_INCLUDE_DIRS}
	${CMAKE_CURRENT_SOURCE_DIR}/../rtgui ${GTKMM_INCLUDE_DIRS} ${GTK_INCLUDE_DIRS})
link_directories (${CMAKE_CURRENT_SOURCE_DIR}/../rtexif ${EXTRA_LIBDIR} ${GTHREAD_LIBRARY_DIRS}
    ${GOBJECT_LIBRARY_DIRS} ${GLIB2_LIBRARY_DIRS} ${GLIBMM_LIBRARY_DIRS}
    ${IPTCDATA_LIBRARY_DIRS} ${LCMS_LIBRARY_DIRS})

set (RTENGINESOURCEFILES safegtk.cc colortemp.cc curves.cc flatcurves.cc diagonalcurves.cc dcraw.cc iccstore.cc
    dfmanager.cc rawimage.cc image8.cc image16.cc imagedata.cc imageio.cc improcfun.cc init.cc dcrop.cc
    loadinitial.cc procparams.cc rawimagesource.cc shmap.cc simpleprocess.cc refreshmap.cc
    stdimagesource.cc myfile.cc iccjpeg.c hlmultipliers.cc improccoordinator.cc
    processingjob.cc rtthumbnail.cc utils.cc labimage.cc slicer.cc
    iplab2rgb.cc ipsharpen.cc iptransform.cc ipresize.cc
	jpeg_memsrc.c jdatasrc.c
	PF_correct_RT.cc
    wavelet_dec.cc ipequalizer.cc dirpyrLab_denoise.cc dirpyrLab_equalizer.cc dirpyr_equalizer.cc)

add_library (rtengine ${RTENGINESOURCEFILES})
#It may be nice to store library version too
IF (BUILD_SHARED_LIBS)
    install (TARGETS rtengine DESTINATION ${LIBDIR})
ENDIF (BUILD_SHARED_LIBS)

set_target_properties (rtengine PROPERTIES COMPILE_FLAGS "${RTENGINE_CXX_FLAGS}")

target_link_libraries (rtengine rtexif ${EXTRA_LIB} ${GOBJECT_LIBRARIES} ${GTHREAD_LIBRARIES}
    ${GLIB2_LIBRARIES} ${GLIBMM_LIBRARIES} ${LCMS_LIBRARIES} ${IPTCDATA_LIBRARIES}
    ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${TIFF_LIBRARIES} ${ZLIB_LIBRARIES})

=== rtgui/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 set (BASESOURCEFILES
-    batchtoolpanelcoord.cc paramsedited.cc cropwindow.cc previewhandler.cc previewwindow.cc navigator.cc indclippedpanel.cc filterpanel.cc
+    editwindow.cc batchtoolpanelcoord.cc paramsedited.cc cropwindow.cc previewhandler.cc previewwindow.cc navigator.cc indclippedpanel.cc filterpanel.cc
     cursormanager.cc rtwindow.cc renamedlg.cc recentbrowser.cc placesbrowser.cc filepanel.cc editorpanel.cc batchqueuepanel.cc
     ilabel.cc thumbbrowserbase.cc adjuster.cc filebrowserentry.cc filebrowser.cc filethumbnailbuttonset.cc
     cachemanager.cc cacheimagedata.cc shcselector.cc perspective.cc
@@ -8,26 +8,31 @@
     coarsepanel.cc cacorrection.cc colorshift.cc hlrec.cc chmixer.cc
     colorboost.cc resize.cc icmpanel.cc crop.cc shadowshighlights.cc
     colordenoise.cc
-    exifpanel.cc
+    impulsedenoise.cc dirpyrdenoise.cc
+    exifpanel.cc toolpanel.cc
     sharpening.cc
     whitebalance.cc   vignetting.cc rotate.cc distortion.cc
-    crophandler.cc curveeditor.cc dirbrowser.cc
+    crophandler.cc dirbrowser.cc
+    curveeditor.cc curveeditorgroup.cc diagonalcurveeditorsubgroup.cc flatcurveeditorsubgroup.cc
     filecatalog.cc
+    previewloader.cc
     histogrampanel.cc history.cc  imagearea.cc
-    imageareapanel.cc iptcpanel.cc lcurve.cc lumadenoise.cc main.cc
-    multilangmgr.cc mycurve.cc options.cc
-    preferences.cc profilepanel.cc safegtk.cc saveasdlg.cc
+    imageareapanel.cc iptcpanel.cc labcurve.cc lumadenoise.cc main.cc
+    multilangmgr.cc mycurve.cc myflatcurve.cc mydiagonalcurve.cc options.cc
+    preferences.cc profilepanel.cc saveasdlg.cc
     saveformatpanel.cc splash.cc
     thumbnail.cc tonecurve.cc toolbar.cc
     guiutils.cc zoompanel.cc toolpanelcoord.cc
     thumbbrowserentrybase.cc batchqueueentry.cc
     batchqueue.cc lwbutton.cc lwbuttonset.cc
     batchqueuebuttonset.cc browserfilter.cc exiffiltersettings.cc
-    profilestore.cc partialpastedlg.cc
-    equalizer.cc)
+    profilestore.cc partialpastedlg.cc rawprocess.cc preprocess.cc
+    darkframe.cc rawcacorrection.cc rawexposure.cc
+    equalizer.cc dirpyrequalizer.cc hsvequalizer.cc defringe.cc
+    popupcommon.cc popupbutton.cc popuptogglebutton.cc)
 
 if (WIN32)
-    set (EXTRA_SRC windirmonitor.cc myicon.o)
+    set (EXTRA_SRC windirmonitor.cc myicon.rc)
     include_directories ( ../rtengine ${CMAKE_CURRENT_BINARY_DIR} . ../rtexif ${EXTRA_INCDIR} ${GLIB2_INCLUDE_DIRS} ${GLIBMM_INCLUDE_DIRS}
         ${GTK_INCLUDE_DIRS} ${GTKMM_INCLUDE_DIRS} ${GIO_INCLUDE_DIRS} ${GIOMM_INCLUDE_DIRS})
     link_directories (. ../rtexif ${EXTRA_LIBDIR} ${GLIB2_LIBRARY_DIRS} ${GLIBMM_LIBRARY_DIRS}
@@ -44,7 +49,7 @@
 
 add_executable (rth ${EXTRA_SRC} ${BASESOURCEFILES})
 
-set_target_properties (rth PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS}" OUTPUT_NAME rt)
+set_target_properties (rth PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS}" OUTPUT_NAME rawtherapee)
 #target_link_libraries (rth rtengine ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${ZLIB_LIBRARIES} ${TIFF_LIBRARIES} ${EXTRA_LIB} ${GOBJECT_LIBRARIES} ${GTHREAD_LIBRARIES}
 #   ${GLIB2_LIBRARIES} ${GLIBMM_LIBRARIES} ${GTK_LIBRARIES} ${GTKMM_LIBRARIES} ${GIO_LIBRARIES} ${GIOMM_LIBRARIES} ${LCMS_LIBRARIES} ${IPTCDATA_LIBRARIES})
 target_link_libraries (rth rtengine ${JPEG_LIBRARIES} ${PNG_LIBRARIES} ${ZLIB_LIBRARIES} ${TIFF_LIBRARIES} ${GOBJECT_LIBRARIES} ${GTHREAD_LIBRARIES}
